Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Member Functions | Protected Types | List of all members
Halide::GeneratorInput< T > Class Template Reference

`#include <Generator.h>`

Inheritance diagram for Halide::GeneratorInput< T >:

## Public Member Functions
| GeneratorInput (const std::string &name)
| GeneratorInput (const std::string &name, const TBase &def)
| GeneratorInput (size_t array_size, const std::string &name, const TBase &def)
| GeneratorInput (const std::string &name, const TBase &def, const TBase &min, const TBase &max)
| GeneratorInput (size_t array_size, const std::string &name, const TBase &def, const TBase &min, const TBase &max)
| GeneratorInput (const std::string &name, const Type &t, int d)
| GeneratorInput (const std::string &name, const Type &t)
| GeneratorInput (const std::string &name, IntIfNonScalar d)
| GeneratorInput (size_t array_size, const std::string &name, const Type &t, int d)
| GeneratorInput (size_t array_size, const std::string &name, const Type &t)
| GeneratorInput (size_t array_size, const std::string &name, IntIfNonScalar d)
| GeneratorInput (size_t array_size, const std::string &name)

## Protected Types
using | TBase = typename Super::TBase
using | IntIfNonScalar = Internal::select_type_t< Internal::cond< Internal::has_static_halide_type_method_v< TBase >, int >, Internal::cond< std::is_same_v< TBase, Func >, int >, Internal::cond< true, Unused > >

## Detailed Description

template<typename T>
class Halide::GeneratorInput< T >

Definition at line 2187 of file Generator.h.

## Member Typedef Documentation

## ◆ TBase

template<typename T >

using Halide::GeneratorInput< T >::TBase = typename Super::TBase
| protected

Definition at line 2192 of file Generator.h.

## ◆ IntIfNonScalar

template<typename T >

using Halide::GeneratorInput< T >::IntIfNonScalar = Internal::select_type_t< Internal::cond<Internal::has_static_halide_type_method_v<TBase>, int>, Internal::cond<std::is_same_v<TBase, Func>, int>, Internal::cond<true, Unused> >
| protected

Definition at line 2198 of file Generator.h.

## Constructor & Destructor Documentation

## ◆ GeneratorInput() [1/12]

template<typename T >

Halide::GeneratorInput< T >::GeneratorInput | ( | const std::string & | name | ) |
| inline explicit

Definition at line 2208 of file Generator.h.

## ◆ GeneratorInput() [2/12]

template<typename T >

Halide::GeneratorInput< T >::GeneratorInput | ( | const std::string & | name,
|  | const TBase & | def
| ) |  |
| inline explicit

Definition at line 2212 of file Generator.h.

## ◆ GeneratorInput() [3/12]

template<typename T >

Halide::GeneratorInput< T >::GeneratorInput | ( | size_t | array_size,
|  | const std::string & | name,
|  | const TBase & | def
| ) |  |
| inline explicit

Definition at line 2216 of file Generator.h.

## ◆ GeneratorInput() [4/12]

template<typename T >

Halide::GeneratorInput< T >::GeneratorInput | ( | const std::string & | name,
|  | const TBase & | def,
|  | const TBase & | min,
|  | const TBase & | max
| ) |  |
| inline explicit

Definition at line 2220 of file Generator.h.

## ◆ GeneratorInput() [5/12]

template<typename T >

Halide::GeneratorInput< T >::GeneratorInput | ( | size_t | array_size,
|  | const std::string & | name,
|  | const TBase & | def,
|  | const TBase & | min,
|  | const TBase & | max
| ) |  |
| inline explicit

Definition at line 2225 of file Generator.h.

## ◆ GeneratorInput() [6/12]

template<typename T >

Halide::GeneratorInput< T >::GeneratorInput | ( | const std::string & | name,
|  | const Type & | t,
|  | int | d
| ) |  |
| inline explicit

Definition at line 2230 of file Generator.h.

## ◆ GeneratorInput() [7/12]

template<typename T >

Halide::GeneratorInput< T >::GeneratorInput | ( | const std::string & | name,
|  | const Type & | t
| ) |  |
| inline explicit

Definition at line 2234 of file Generator.h.

## ◆ GeneratorInput() [8/12]

template<typename T >

Halide::GeneratorInput< T >::GeneratorInput | ( | const std::string & | name,
|  | IntIfNonScalar | d
| ) |  |
| inline explicit

Definition at line 2239 of file Generator.h.

## ◆ GeneratorInput() [9/12]

template<typename T >

Halide::GeneratorInput< T >::GeneratorInput | ( | size_t | array_size,
|  | const std::string & | name,
|  | const Type & | t,
|  | int | d
| ) |  |
| inline explicit

Definition at line 2243 of file Generator.h.

## ◆ GeneratorInput() [10/12]

template<typename T >

Halide::GeneratorInput< T >::GeneratorInput | ( | size_t | array_size,
|  | const std::string & | name,
|  | const Type & | t
| ) |  |
| inline explicit

Definition at line 2247 of file Generator.h.

## ◆ GeneratorInput() [11/12]

template<typename T >

Halide::GeneratorInput< T >::GeneratorInput | ( | size_t | array_size,
|  | const std::string & | name,
|  | IntIfNonScalar | d
| ) |  |
| inline explicit

Definition at line 2253 of file Generator.h.

## ◆ GeneratorInput() [12/12]

template<typename T >

Halide::GeneratorInput< T >::GeneratorInput | ( | size_t | array_size,
|  | const std::string & | name
| ) |  |
| inline explicit

Definition at line 2257 of file Generator.h.

The documentation for this class was generated from the following file:

- src/Generator.h